# Class PRS_ServiceIncident
extends PRS_ExchangeElement

PRS_ServiceIncident contains the fundamental information related to a specific incident: its identity, status, priority, etc. The actual incident data, including specific transactions and resolution information, is contained in the objects associated with PRS_ServiceIncident. These include specific Problem, Resolution and Activity related objects accrued through the Transaction workflow.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--PRS_ExchangeElement
|
+--PRS_ServiceIncident

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

PRS_ServiceIncident contains the fundamental information related to a specific incident: its identity, status, priority, etc. The actual incident data, including specific transactions and resolution information, is contained in the objects associated with PRS_ServiceIncident. These include specific Problem, Resolution and Activity related objects accrued through the Transaction workflow.

UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Acknowledge | uint8 |
Description | string | Was the last transaction was accepted or rejected?
ValueMap | string | 0, 1, 254, 255
Values | string | Yes, No, Other, Unknown
Comment | string |
Description | string | Additional general information about the incident.
CurrentState | uint8 |
Description | string | The state of the incident within the Service Incident Exchange Standard transaction model.
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 254, 255
Values | string | Beginning_State, Not_Entitled, Entitled, Problem_Submitted, Open_Requester, Open_Provider, Closed_Pending_Confirmation, Closed, Other, Unknown
Entitled | uint8 |
Description | string | Is the Requester entitled to service or not?
ValueMap | string | 0, 1, 254, 255
Values | string | Yes, No, Other, Unknown
LastTransaction | uint8 |
Description | string | The name of the last transaction which was acknowledged.
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 254, 255
Values | string | Service_Request, Entitlement, Problem_Submittal, Accept_Problem, Problem_Resolution, Request_Problem_Information, Provide_Problem_Information, Provide_Admin_Information, Query_Incident, Confirm_Close, Reject_Resolution, Request_Closure, Other, Unknown
ProviderID | string |
Description | string | The unique identifier for this incident assigned by the Provider.
ProviderPriority | uint8 |
Description | string | The priority of the incident as defined by the Requester. One is the highest priority and five is the lowest priority.
ValueMap | string | 1, 2, 3, 4, 5
RequesterID | string |
Description | string | The unique identifier for this incident assigned by the Requester.
RequesterSeverity | uint8 |
Description | string | The severity of the incident as defined by the Requester. One is the most severe and five is the least severe.
ValueMap | string | 1, 2, 3, 4, 5
ResponseTime | datetime |
Description | string | The explicit time the Requester expects a response.
TransactionName | string |
Deprecated | string | PRS_ServiceIncident.LastTransaction
Description | string | The use of the TransactionName property is deprecated. New Service Incidents should use the LastTransaction property and set this property to NULL.
WorkflowStatus | string |
Description | string | Status of the incident according to the workflow.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
DirtyFlag | uint8 | PRS_ExchangeElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PRSUniqueName | string | PRS_ExchangeElement

## Class Methods